gtknotify.h File Reference
Pidgin (GTK+ User Interface)
`#include "notify.h"`
`#include "pounce.h"`

Go to the source code of this file.

## Functions

void | pidgin_notify_pounce_add (PurpleAccount *account, PurplePounce *pounce, const char *alias, const char *event, const char *message, const char *date)
| Adds a buddy pounce to the buddy pounce dialog. More...
PurpleNotifyUiOps * | pidgin_notify_get_ui_ops (void)
| Returns the UI operations structure for GTK+ notification functions. More...
void | pidgin_notify_init (void)
| Initializes the GTK+ notifications subsystem.
void | pidgin_notify_uninit (void)
| Uninitialized the GTK+ notifications subsystem.

## Detailed Description

GTK+ Notification API

Definition in file gtknotify.h.

## Function Documentation

## pidgin_notify_get_ui_ops()

PurpleNotifyUiOps* pidgin_notify_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure for GTK+ notification functions.

Returns
  The GTK+ UI notify operations structure.

## pidgin_notify_pounce_add()

void pidgin_notify_pounce_add | ( | PurpleAccount * | account,
|  | PurplePounce * | pounce,
|  | const char * | alias,
|  | const char * | event,
|  | const char * | message,
|  | const char * | date
| ) |  |

Adds a buddy pounce to the buddy pounce dialog.

Parameters

  account | The account
  pounce | The pounce
  alias | The buddy alias
  event | Event description
  message | Pounce message
  date | Pounce date